com.h3c.util.pkt

## Enum IcmpTypeCode

- java.lang.Object
- - java.lang.Enum<IcmpTypeCode>
  - - com.h3c.util.pkt.IcmpTypeCode

- All Implemented Interfaces:
    ProtocolEnum, Serializable, Comparable<IcmpTypeCode>

      public enum IcmpTypeCode
      extends Enum<IcmpTypeCode>
      implements ProtocolEnum

  ICMPv4 Message type (high byte) and code (low byte) combinations.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADDR_MASK_REPLY` Address mask reply.
    `ADDR_MASK_REQ` Address mask request.
    `DST_UNREACH_COMM_ADMIN_PROHIBIT` Destination unreachable - Communication Administrator Prohibited.
    `DST_UNREACH_FRAG_REQUIRED` Destination unreachable - Fragment Required.
    `DST_UNREACH_HOST` Destination unreachable - Host.
    `DST_UNREACH_HOST_ADMIN_PROHIBIT` Destination unreachable - Host Administration Prohibited.
    `DST_UNREACH_HOST_ISOLATED` Destination unreachable - Host Isolated.
    `DST_UNREACH_HOST_PRECED_VIOLATION` Destination unreachable - Host Precedence Violation.
    `DST_UNREACH_HOST_TOS` Destination unreachable - Host TOS.
    `DST_UNREACH_HOST_UNKNOWN` Destination unreachable - Host Unknown.
    `DST_UNREACH_NET` Destination unreachable - Network.
    `DST_UNREACH_NET_ADMIN_PROHIBIT` Destination unreachable - Network Administration Prohibited.
    `DST_UNREACH_NET_TOS` Destination unreachable - Network TOS.
    `DST_UNREACH_NET_UNKNOWN` Destination unreachable - Network Unknown.
    `DST_UNREACH_PORT` Destination unreachable - Port.
    `DST_UNREACH_PRECED_CUTOFF` Destination unreachable - Precedence Cutoff in Effect.
    `DST_UNREACH_PROTOCOL` Destination unreachable - Protocol.
    `DST_UNREACH_ROUTE_FAIL` Destination unreachable - Route Failed.
    `ECHO_REPLY` Echo reply (ping).
    `ECHO_REQ` Echo request (ping).
    `PARAM_PROB_MISS_BAD_LEN` Parameter problem - Bad Length.
    `PARAM_PROB_MISS_REQ_OPT` Parameter problem - Missing Request Option.
    `PARAM_PROB_PTR` Parameter problem - Pointer.
    `REDIRECT_MSG_DG_HOST` Redirect message - Datagram Host.
    `REDIRECT_MSG_DG_NET` Redirect message - Datagram Network.
    `REDIRECT_MSG_TOS_HOST` Redirect message - TOS Host.
    `REDIRECT_MSG_TOS_NET` Redirect message - TOS Host.
    `ROUTER_ADVERTISE` Router advertise.
    `ROUTER_SOLICIT` Router solicit.
    `TIME_EXCEED_FRAG_REASS` Time exceeded - Fragment Re-assembly.
    `TIME_EXCEED_TTL` Time exceeded - TTL.
    `TIMESTAMP` Time stamp.
    `TIMESTAMP_REPLY` Time stamp reply.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `code()` Returns the code value for the enumeration constant.
    `int` | `icmpCode()` Returns the ICMPv4 code number
    `int` | `icmpType()` Returns the ICMPv4 type code.
    `static IcmpTypeCode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static IcmpTypeCode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ECHO_REPLY

          public static final IcmpTypeCode ECHO_REPLY

      Echo reply (ping).

    - #### DST_UNREACH_NET

          public static final IcmpTypeCode DST_UNREACH_NET

      Destination unreachable - Network.

    - #### DST_UNREACH_HOST

          public static final IcmpTypeCode DST_UNREACH_HOST

      Destination unreachable - Host.

    - #### DST_UNREACH_PROTOCOL

          public static final IcmpTypeCode DST_UNREACH_PROTOCOL

      Destination unreachable - Protocol.

    - #### DST_UNREACH_PORT

          public static final IcmpTypeCode DST_UNREACH_PORT

      Destination unreachable - Port.

    - #### DST_UNREACH_FRAG_REQUIRED

          public static final IcmpTypeCode DST_UNREACH_FRAG_REQUIRED

      Destination unreachable - Fragment Required.

    - #### DST_UNREACH_ROUTE_FAIL

          public static final IcmpTypeCode DST_UNREACH_ROUTE_FAIL

      Destination unreachable - Route Failed.

    - #### DST_UNREACH_NET_UNKNOWN

          public static final IcmpTypeCode DST_UNREACH_NET_UNKNOWN

      Destination unreachable - Network Unknown.

    - #### DST_UNREACH_HOST_UNKNOWN

          public static final IcmpTypeCode DST_UNREACH_HOST_UNKNOWN

      Destination unreachable - Host Unknown.

    - #### DST_UNREACH_HOST_ISOLATED

          public static final IcmpTypeCode DST_UNREACH_HOST_ISOLATED

      Destination unreachable - Host Isolated.

    - #### DST_UNREACH_NET_ADMIN_PROHIBIT

          public static final IcmpTypeCode DST_UNREACH_NET_ADMIN_PROHIBIT

      Destination unreachable - Network Administration Prohibited.

    - #### DST_UNREACH_HOST_ADMIN_PROHIBIT

          public static final IcmpTypeCode DST_UNREACH_HOST_ADMIN_PROHIBIT

      Destination unreachable - Host Administration Prohibited.

    - #### DST_UNREACH_NET_TOS

          public static final IcmpTypeCode DST_UNREACH_NET_TOS

      Destination unreachable - Network TOS.

    - #### DST_UNREACH_HOST_TOS

          public static final IcmpTypeCode DST_UNREACH_HOST_TOS

      Destination unreachable - Host TOS.

    - #### DST_UNREACH_COMM_ADMIN_PROHIBIT

          public static final IcmpTypeCode DST_UNREACH_COMM_ADMIN_PROHIBIT

      Destination unreachable - Communication Administrator Prohibited.

    - #### DST_UNREACH_HOST_PRECED_VIOLATION

          public static final IcmpTypeCode DST_UNREACH_HOST_PRECED_VIOLATION

      Destination unreachable - Host Precedence Violation.

    - #### DST_UNREACH_PRECED_CUTOFF

          public static final IcmpTypeCode DST_UNREACH_PRECED_CUTOFF

      Destination unreachable - Precedence Cutoff in Effect.

    - #### REDIRECT_MSG_DG_NET

          public static final IcmpTypeCode REDIRECT_MSG_DG_NET

      Redirect message - Datagram Network.

    - #### REDIRECT_MSG_DG_HOST

          public static final IcmpTypeCode REDIRECT_MSG_DG_HOST

      Redirect message - Datagram Host.

    - #### REDIRECT_MSG_TOS_NET

          public static final IcmpTypeCode REDIRECT_MSG_TOS_NET

      Redirect message - TOS Host.

    - #### REDIRECT_MSG_TOS_HOST

          public static final IcmpTypeCode REDIRECT_MSG_TOS_HOST

      Redirect message - TOS Host.

    - #### ECHO_REQ

          public static final IcmpTypeCode ECHO_REQ

      Echo request (ping).

    - #### ROUTER_ADVERTISE

          public static final IcmpTypeCode ROUTER_ADVERTISE

      Router advertise.

    - #### ROUTER_SOLICIT

          public static final IcmpTypeCode ROUTER_SOLICIT

      Router solicit.

    - #### TIME_EXCEED_TTL

          public static final IcmpTypeCode TIME_EXCEED_TTL

      Time exceeded - TTL.

    - #### TIME_EXCEED_FRAG_REASS

          public static final IcmpTypeCode TIME_EXCEED_FRAG_REASS

      Time exceeded - Fragment Re-assembly.

    - #### PARAM_PROB_PTR

          public static final IcmpTypeCode PARAM_PROB_PTR

      Parameter problem - Pointer.

    - #### PARAM_PROB_MISS_REQ_OPT

          public static final IcmpTypeCode PARAM_PROB_MISS_REQ_OPT

      Parameter problem - Missing Request Option.

    - #### PARAM_PROB_MISS_BAD_LEN

          public static final IcmpTypeCode PARAM_PROB_MISS_BAD_LEN

      Parameter problem - Bad Length.

    - #### TIMESTAMP

          public static final IcmpTypeCode TIMESTAMP

      Time stamp.

    - #### TIMESTAMP_REPLY

          public static final IcmpTypeCode TIMESTAMP_REPLY

      Time stamp reply.

    - #### ADDR_MASK_REQ

          public static final IcmpTypeCode ADDR_MASK_REQ

      Address mask request.

    - #### ADDR_MASK_REPLY

          public static final IcmpTypeCode ADDR_MASK_REPLY

      Address mask reply.

  - ### Method Detail

    - #### values

          public static IcmpTypeCode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IcmpTypeCode c : IcmpTypeCode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IcmpTypeCode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### code

          public int code()

      Description copied from interface: `ProtocolEnum`
      Returns the code value for the enumeration constant.
      Specified by:
        `code` in interface `ProtocolEnum`
      Returns:
        the code value

    - #### icmpType

          public int icmpType()

      Returns the ICMPv4 type code.
      Returns:
        the type code

    - #### icmpCode

          public int icmpCode()

      Returns the ICMPv4 code number
      Returns:
        the code number

Copyright © 2014. All Rights Reserved.